### Method

# Adw SplitButtonset_menu_model

#### Declaration [src]

    void
    adw_split_button_set_menu_model (
      AdwSplitButton* self,
      GMenuModel* menu_model
    )

#### Description [src]

Sets the menu model from which the popup will be created.

If the menu model is `NULL`, the dropdown is disabled.

A `GtkPopover` will be created from the menu model with `gtk_popover_menu_new_from_model()`. Actions will be connected as documented for this function.

If `AdwSplitButton:popover` is already set, it will be dissociated from the button, and the property is set to `NULL`.

Sets property | `Adw.SplitButton:menu-model`

#### Parameters

`menu_model`

  Type: `GMenuModel`

  The menu model.

  The argument can be `NULL`.
  The data is owned by the caller of the method.